Loading...
Searching...
No Matches
janus_plugin_rtcp Struct Reference

Janus plugin RTCP packet. More...

`#include <plugin.h>`

## Data Fields

int | mindex
| Index of the stream (relative to the SDP).
gboolean | video
| Whether this is an audio or video RTCP packet.
char * | buffer
| The packet data.
uint16_t | length
| The packet length.

## Detailed Description

Janus plugin RTCP packet.

## Field Documentation

## buffer

char* janus_plugin_rtcp::buffer

The packet data.

## length

uint16_t janus_plugin_rtcp::length

The packet length.

## mindex

int janus_plugin_rtcp::mindex

Index of the stream (relative to the SDP).

Note
  On outgoing packets you can set this to -1, to let the Janus core find the first audio/video (depending on the `video` property) to send this on; notice that this tweak is only there for convenience, and to make it easier for plugins not dealing with multistream, but this shouldn't be relied upon too much as it may go away soon.

## video

gboolean janus_plugin_rtcp::video

Whether this is an audio or video RTCP packet.

The documentation for this struct was generated from the following file:

- plugin.h